6.0.0-git
2021-01-18

[#14040] Do not create useless sessions with CalDAV requests
Summary Do not create useless sessions with CalDAV requests
Queue Horde Base
Queue Version FRAMEWORK_5_2
Type Enhancement
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester lst_hoe02 (at) kwsoft (dot) de
Created 2015-07-02 (2027 days ago)
Due
Updated 2015-07-13 (2016 days ago)
Assigned 2015-07-07 (2022 days ago)
Resolved 2015-07-13 (2016 days ago)
Milestone
Patch No

History
2015-07-13 20:53:01 Michael Rubinsky Comment #4
State ⇒ Resolved
Version ⇒ FRAMEWORK_5_2
Reply to this comment
Horde 5.2.7
2015-07-13 20:50:21 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 47c4b71e00b671868e34270aaa35c6242b034c1d
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Jul 13 16:47:53 2015 -0400

     Bug: 14040 Webdav requests should be session-less as well.

  horde/rpc.php |    2 ++
  1 files changed, 2 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/47c4b71e00b671868e34270aaa35c6242b034c1d
2015-07-13 20:48:59 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 11c1961a27cf084a4acae29126f262fb8e37cd1e
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Jul 13 16:47:53 2015 -0400

     Bug: 14040 Webdav requests should be session-less as well.

  horde/rpc.php |    2 ++
  1 files changed, 2 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/11c1961a27cf084a4acae29126f262fb8e37cd1e
2015-07-07 02:58:50 Michael Rubinsky Version ⇒ Git master
Queue ⇒ Horde Base
 
2015-07-07 02:58:14 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Assigned
 
2015-07-02 15:39:24 lst_hoe02 (at) kwsoft (dot) de Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Do not create useless sessions with CalDAV requests
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Every CalDAV request create a sessions as of now, despite the fact 
that CalDAV is stateless in the spirit of RESTful. This might get 
fixed with $session_control = 'none' in rpc.php as it is already done 
with ActiveSync requests.


Saved Queries